% T.A.Wright et al (2020) 

% This script runs the three scripts used to produce Fig.4 in order. 


% empties workspace
clear 
% closes all open figures 
close all

% Fig.4(a): The example BS-FWM Spectra
run('Up_Conversion/spectra/plot_fig4a.m');

% Fig.4(a) (inset): The BS-FWM wavelength-dependant up-conversion efficiency
run('Up_Conversion/efficiency/plot_fig4a_inset.m');

% Fig.4(b): The BS-FWM pump-power-dependant up-conversion efficiency
run('Up_Conversion/efficiency/plot_fig4b.m');

% Fig.4(c): The BS-FWM pump-power-dependant down-conversion efficiency
run('Down_Conversion/plot_fig4c.m');
